# Publish Dashboard

Launch stage: GA

`POST /api/2.0/lakeview/dashboards/{dashboard_id}/published`

Publish the current draft dashboard.

API scopes: dashboards

## Path parameters

- `dashboard_id` (string, optional)
  UUID identifying the dashboard to be published.

## Request body

- `embed_credentials` (boolean, optional)
  Flag to indicate if the publisher's credentials should be embedded in the
   published dashboard. These embedded credentials will be used to execute the
   published dashboard's queries.
  Default: `true`
- `warehouse_id` (string, optional)
  The ID of the warehouse that can be used to override the warehouse which
   was set in the draft.

## Returns

- `display_name` (string, optional)
  The display name of the published dashboard.
  Example: `Monthly Traffic Report`
- `warehouse_id` (string, optional)
  The warehouse ID used to run the published dashboard.
  Example: `47bb1c472649e711`
- `embed_credentials` (boolean, optional)
  Indicates whether credentials are embedded in the published dashboard.
- `revision_create_time` (string, optional)
  The timestamp of when the published dashboard was last revised.

## Response

```json
{
  "display_name": "Monthly Traffic Report",
  "warehouse_id": "47bb1c472649e711",
  "embed_credentials": true,
  "revision_create_time": "string"
}
```

